dnl config.m4 for extension js

PHP_ARG_WITH(js, for JavaScript support,
[  --with-js[=DIR]      Include JavaScript support. DIR is the SpiderMonkey include directory.])

if test "$PHP_JS" != "no"; then
  for i in $PHP_JS /usr/local /usr; do
    if test -f $i/include/jsapi.h; then
      JS_DIR=$i
      break
    fi
  done

  if test -z "$JS_DIR"; then
    AC_MSG_ERROR([Cannot find jsapi.h under $PHP_JS.])
  fi

  EXTRA_CFLAGS="-DXP_UNIX=1 -I$JS_DIR/include"
  EXTRA_LDFLAGS="-L$JS_DIR/lib64 -L$JS_DIR/lib -ljs"

  PHP_SUBST(EXTRA_CFLAGS)
  PHP_SUBST(EXTRA_LDFLAGS)
  AC_DEFINE(HAVE_JS,1,[Whether you have libjs])
  PHP_NEW_EXTENSION(js, php_js.c, $ext_shared)
fi
